Index: code/branches/minigame4DHS14/data/levels/4Dtest.oxw
===================================================================
--- code/branches/minigame4DHS14/data/levels/4Dtest.oxw	(revision 10101)
+++ code/branches/minigame4DHS14/data/levels/4Dtest.oxw	(revision 10104)
@@ -20,4 +20,8 @@
   </Mini4DgameStone>
 </Template>
+
+
+	<BlinkingBillboard position="0,0,0" frequency=0.6 amplitude=0.4 material="Flares/lensflare" colour="0,1,0">
+	</BlinkingBillboard>
  -->
 
@@ -49,49 +53,28 @@
 	<Mini4DgameCenterpoint name=mini4Dgamecenter width=16 height=16 length=16 position="0,0,0">
         <attached>
-            <Model position="10,10,10" mesh="cube.mesh" scale3D="1,1,1" />
-            <Model position="-10,10,10" mesh="cube.mesh" scale3D="1,1,1" />
-            <Model position="10,-10,10" mesh="cube.mesh" scale3D="1,1,1" />
-            <Model position="-10,-10,10" mesh="cube.mesh" scale3D="1,1,1" />
-            <Model position="10,10,-10" mesh="cube.mesh" scale3D="1,1,1" />
-            <Model position="-10,10,-10" mesh="cube.mesh" scale3D="1,1,1" />
-            <Model position="10,-10,-10" mesh="cube.mesh" scale3D="1,1,1" />
-            <Model position="-10,-10,-10" mesh="cube.mesh" scale3D="1,1,1" />
+        	<?lua
+        	for i = -90, 90, 60
+        	?>
+        		<?lua
+        		for j = -90, 90, 60
+        		?>
+        			<?lua
+        			for k = -90, 90, 60
+        			?>
+        				<Model
+        				position="<?lua print(i) ?>,<?lua print(j) ?>,<?lua print(k) ?>"
+        				mesh="ast1.mesh"
+        				scale="1" />
+        			<?lua
+    		  		end
+    				?>
+    			<?lua
+    		  	end
+    			?>
+        	<?lua
+    		end
+    		?>
         </attached>
     </Mini4DgameCenterpoint>
-
-	<!-- Blinking Slot Selector 
-	<BlinkingBillboard position="0,0,0" frequency=0.6 amplitude=0.4 material="Flares/lensflare" colour="1,1,0.05">
-          <events>
-            <visibility>
-              <EventTrigger invert=true>
-                <events>
-                  <trigger>
-                    <EventListener event=flying4 />
-                  </trigger>
-                </events>
-              </EventTrigger>
-            </visibility>
-          </events>
-	</BlinkingBillboard>
-	-->
-    <!-- Planet in the middle
-    <Planet
-      position="0,0,0"
-      scale="50"
-      collisionType="dynamic"
-      linearDamping="0.8"
-      angularDamping="0"
-      mass="0"
-      pitch="0"
-      mesh="planets/muunilinst.mesh"
-      atmosphere="atmosphere1"
-      rotationaxis="1,0,0"
-      rotationrate="0"
-      atmospheresize="2.0f"
-      imagesize="1024.0f"
-    >
-    </Planet>
-     -->
-
 
 
Index: code/branches/minigame4DHS14/src/modules/mini4Dgame/Mini4DgamePrereqs.h
===================================================================
--- code/branches/minigame4DHS14/src/modules/mini4Dgame/Mini4DgamePrereqs.h	(revision 10104)
+++ code/branches/minigame4DHS14/src/modules/mini4Dgame/Mini4DgamePrereqs.h	(revision 10104)
@@ -0,0 +1,74 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+@file
+@brief
+    Shared library macros, enums, constants and forward declarations for the pong module
+*/
+
+#ifndef _Mini4DgamePrereqs_H__
+#define _Mini4DgamePrereqs_H__
+
+#include "OrxonoxConfig.h"
+#include "OrxonoxPrereqs.h"
+
+//-----------------------------------------------------------------------
+// Shared library settings
+//-----------------------------------------------------------------------
+
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(Mini4Dgame_STATIC_BUILD)
+#  ifdef Mini4Dgame_SHARED_BUILD
+#    define _Mini4DgameExport __declspec(dllexport)
+#  else
+#    if defined( __MINGW32__ )
+#      define _Mini4DgameExport
+#    else
+#      define _Mini4DgameExport __declspec(dllimport)
+#    endif
+#  endif
+#  define _Mini4DgamePrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
+#  define _Mini4DgameExport  __attribute__ ((visibility("default")))
+#  define _Mini4DgamePrivate __attribute__ ((visibility("hidden")))
+#else
+#  define _Mini4DgameExport
+#  define _Mini4DgamePrivate
+#endif
+
+//-----------------------------------------------------------------------
+// Forward declarations
+//-----------------------------------------------------------------------
+
+namespace orxonox
+{
+    class Mini4Dgame;
+    class Mini4DgameCenterpoint;
+}
+
+#endif /* _PongPrereqs_H__ */