Index: /code/branches/hudHS14/data/overlays/HUDTemplates3.oxo
===================================================================
--- /code/branches/hudHS14/data/overlays/HUDTemplates3.oxo	(revision 10109)
+++ /code/branches/hudHS14/data/overlays/HUDTemplates3.oxo	(revision 10110)
@@ -36,5 +36,5 @@
      size              = "0.35, 0.0875"
      position          = "0.0 , 0.9 "
-     pickpoint         = "0, 1"
+     pickpoint         = "0, 1"       
      bartexture        = "healthbar_bar.png"
      textfont          = "VeraMono"
@@ -82,6 +82,6 @@
      background        = "Orxonox/HealthBarBackground"
      size              = "0.35, 0.0875"
-     position          = "1.0 , 0.1 "
-     pickpoint         = "1, 1"
+     position          = "1 ,0"
+     pickpoint         = "0.6, 0.5"
      bartexture        = "healthbar_bar.png"
      textfont          = "VeraMono"
@@ -89,5 +89,5 @@
      textsize          = 0.039
      textoffset        = "0.315, 0.05"
-     textpickpoint     = "0, 0"
+     textpickpoint     = "2, 1"
      textalign         = "right"
      correctaspect     = false
Index: /code/branches/hudHS14/src/modules/overlays/hud/HUDEnemyHealthBar.cc
===================================================================
--- /code/branches/hudHS14/src/modules/overlays/hud/HUDEnemyHealthBar.cc	(revision 10109)
+++ /code/branches/hudHS14/src/modules/overlays/hud/HUDEnemyHealthBar.cc	(revision 10110)
@@ -31,4 +31,5 @@
 #include "core/config/ConfigValueIncludes.h"
 #include "worldentities/pawns/Pawn.h"
+#include "graphics/Camera.h"
 
 namespace orxonox
@@ -57,4 +58,53 @@
         this->updateTarget();
 
+
+
+
+/*
+        //--------------------------------------------------------------------------
+        //first try to place a healthbar under the enemy ship
+        //getting all the parameters (direction, position, angle) to place the health bar on the screen
+
+        Camera* camera = this->owner_->getCamera();
+
+        //position and orientation relative to the root space
+        Vector3 cameraPosition = camera->getWorldPosition();
+        Quaternion cameraOrientation = camera->getWorldOrientation();
+
+        Vector3 cameraDirection = camera->FRONT;
+        Vector3 cameraOrthonormal = camera->UP;
+
+        //get target
+        //if there is one get it's position (relative to the root space(
+        WorldEntity* target = this->owner_->getTarget();
+
+        if(target != NULL){
+        Vector3 targetPosition = target->getWorldPosition();
+
+
+        //try 1
+        Vector2 screenCoordinates = get2DViewcoordinates(cameraPosition, cameraOrientation * WorldEntity::FRONT, cameraOrientation * WorldEntity::UP, targetPosition);
+
+        orxout() << screenCoordinates.x << endl;
+
+        //shift coordinates because the screen has it's root in the upper left corner (0,0) but get2Dviewcoordiantes return values between -0.5 and 0.5
+        screenCoordinates.x += 0.5;
+        screenCoordinates.y += 0.5;
+        orxout() << screenCoordinates.x << endl;
+
+        this->setPosition(screenCoordinates);
+
+        this->setTextOffset(screenCoordinates);
+
+
+
+
+
+        }
+
+        //--------------------------------------------------------------------------
+*/
+
+
         SUPER(HUDEnemyHealthBar, tick, dt);
     }
@@ -71,8 +121,18 @@
                 target = target->getParent();
             pawn = orxonox_cast<Pawn*>(target);
+
+
+
+            /*Vector3 tempPosition = target->getWorldPosition();
+            Vector2 tempPos2D = Vector2(tempPosition.x, tempPosition.y);
+                     this->pickPoint_(tempPos2D);
+                     this->position_(tempPos2D);*/
+
+
             // Don't show the HealthBar if the pawn is invisible
             if (pawn && !pawn->isVisible())
                 pawn = NULL;
         }
+
         // Set the pawn as owner of the HealthBar
         this->setHealthBarOwner(pawn);
Index: /code/branches/hudHS14/src/modules/overlays/hud/HUDHealthBar.cc
===================================================================
--- /code/branches/hudHS14/src/modules/overlays/hud/HUDHealthBar.cc	(revision 10109)
+++ /code/branches/hudHS14/src/modules/overlays/hud/HUDHealthBar.cc	(revision 10110)
@@ -83,4 +83,8 @@
         SUPER(HUDHealthBar, tick, dt);
 
+
+
+
+
         if (this->owner_)
         {
Index: /code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- /code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.cc	(revision 10109)
+++ /code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.cc	(revision 10110)
@@ -298,5 +298,6 @@
                     if (!it->second.wasOutOfView_)
                     {
-                        it->second.panel_->setMaterialName(TextureGenerator::getMaterialName("arrows.png", it->first->getRadarObjectColour()));
+                    	it->second.health_->hide();
+                    	it->second.panel_->setMaterialName(TextureGenerator::getMaterialName("arrows.png", it->first->getRadarObjectColour()));
                         it->second.wasOutOfView_ = true;
                         it->second.target_->hide();
@@ -364,6 +365,15 @@
                         it->second.panel_->setDimensions(this->navMarkerSize_ * this->getActualSize().x, this->navMarkerSize_ * this->getActualSize().y);
                         it->second.target_->setDimensions(this->aimMarkerSize_ * this->getActualSize().x, this->aimMarkerSize_ * this->getActualSize().y);
+
+                        //manipulation bzw versuch !!! Jonas
+                        it->second.health_->setMaterialName(TextureGenerator::getMaterialName("bar2b.png", it->first->getRadarObjectColour()));
+
                         it->second.wasOutOfView_ = false;
                     }
+
+                    // Position health (versuch !!!!)
+                    it->second.health_->setLeft((pos.x + 1.0f - it->second.panel_->getWidth()) * 0.5f);
+                    it->second.health_->setTop((-pos.y + 1.0f - it->second.panel_->getHeight()) * 0.5f);
+
 
                     // Position marker
@@ -377,4 +387,6 @@
 
                     // Make sure the overlays are shown
+
+                    it->second.health_->show();
                     it->second.panel_->show();
                     it->second.text_->show();
@@ -419,4 +431,5 @@
 
             {
+            	it->second.health_->hide()
                 it->second.panel_->hide();
                 it->second.text_->hide();
@@ -442,4 +455,6 @@
         for (std::map<RadarViewable*, ObjectInfo>::iterator it = this->activeObjectList_.begin(); it != this->activeObjectList_.end(); ++it)
         {
+        	if (it->second.health_ != NULL)
+        	    it->second.health_->setDimensions(this->healthMarkerSize_ * xScale, this->healthMarkerSize_ * yScale);
             if (it->second.panel_ != NULL)
                 it->second.panel_->setDimensions(this->navMarkerSize_ * xScale, this->navMarkerSize_ * yScale);
@@ -468,4 +483,12 @@
 
         // Create everything needed to display the object on the radar and add it to the map
+        // Create health
+                Ogre::PanelOverlayElement* health = static_cast<Ogre::PanelOverlayElement*>( Ogre::OverlayManager::getSingleton()
+                        .createOverlayElement("Panel", "HUDNavigation_healthMarker_" + getUniqueNumberString()));
+                //panel->setMaterialName("Orxonox/NavTDC");
+                health->setMaterialName(TextureGenerator::getMaterialName("bar2b.png", object->getRadarObjectColour()));
+                health->setDimensions(this->healthMarkerSize_ * xScale, this->healthMarkerSize_ * yScale);
+                //panel->setColour(object->getRadarObjectColour());
+
 
         // Create arrow/marker
@@ -490,4 +513,5 @@
         text->setColour(object->getRadarObjectColour());
 
+        health->hide();
         panel->hide();
         target->hide();
@@ -495,7 +519,8 @@
 
         ObjectInfo tempStruct =
-        {   panel, target, text, false, false, false};
+        {   health, panel, target, text, false, false, false, false};
         this->activeObjectList_[object] = tempStruct;
 
+        this->background_->addChild(health);
         this->background_->addChild(panel);
         this->background_->addChild(target);
@@ -512,8 +537,10 @@
         {
             // Detach overlays
+        	this->background_->removeChild(it->second.health_->getName());
             this->background_->removeChild(it->second.panel_->getName());
             this->background_->removeChild(it->second.target_->getName());
             this->background_->removeChild(it->second.text_->getName());
             // Properly destroy the overlay elements (do not use delete!)
+            Ogre::OverlayManager::getSingleton().destroyOverlayElement(it->second.health_);
             Ogre::OverlayManager::getSingleton().destroyOverlayElement(it->second.panel_);
             Ogre::OverlayManager::getSingleton().destroyOverlayElement(it->second.target_);
Index: /code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.h
===================================================================
--- /code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.h	(revision 10109)
+++ /code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.h	(revision 10110)
@@ -77,5 +77,9 @@
             struct ObjectInfo
             {
-                Ogre::PanelOverlayElement* panel_;
+
+            	//manipulation bzw versuch !!! Jonas
+            	Ogre::PanelOverlayElement* health_;
+
+            	Ogre::PanelOverlayElement* panel_;
                 Ogre::PanelOverlayElement* target_;
                 Ogre::TextAreaOverlayElement* text_;