Index: /code/branches/weaponupdateHS14/data/levels/FPS_Level_HS14.oxw
===================================================================
--- /code/branches/weaponupdateHS14/data/levels/FPS_Level_HS14.oxw	(revision 10112)
+++ /code/branches/weaponupdateHS14/data/levels/FPS_Level_HS14.oxw	(revision 10113)
@@ -21,6 +21,7 @@
   include("templates/spaceshipTurret.oxt")
   include("templates/spaceshipCollateralDamage.oxt")
-  include("templates/FPS.oxt")
+  include("templates/FPS_HS14.oxt")
   include("templates/HeavyCruiser.oxt")
+  include("templates/spacestation_elements.oxt")
 ?>
 
@@ -55,5 +56,5 @@
         template            = "spaceshipassff"
         team                = "1"
-        position            = "2830,20,50"
+        position            = "3200,0,-200"
         orientation         = "1,200,0,0"
         health              = "200"
@@ -100,5 +101,5 @@
     </StaticEntity>
 
-<!-- Docking  -->
+<!-- Docking  I -->
     <Dock position="2830,20,50" roll=0 yaw=0 >
         <animations>
@@ -113,16 +114,20 @@
             </execute>
 
-	    <undocking>
+<!--	<undocking>
 		<EventListener event="undockMe" />
-	    </undocking>
+	    </undocking> -->
 	
         </events>
         <attached>
+
 	<!-- Trigger for docking with billboard -->
+	
             <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=1 />
             <DistanceTrigger position="0,0,0" distance="200" target="Pawn"
                 beaconMode="exclude" targetname="bcnDestroyer" name="dockMe"
             />
+
 	<!-- Trigger for undocking with billboard -->
+	
 	    <Billboard position="-2800,-20055,-700" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=1 />
 	    <DistanceTrigger position="-2800,-20055,-700" distance="150" target="Pawn"
@@ -134,5 +139,6 @@
     
 <!-- FPS Player as destination of the dock -->
-    <FpsPlayer template = "fps" radarname = "First Person Player" position = "172,-20000,-676" >
+
+    <FpsPlayer template = "fps_HS14" radarname = "First Person Player" position = "172,-20000,-676" >
       <attached>
         <DistanceTriggerBeacon name="bcnDestroyer" />
@@ -252,5 +258,5 @@
 
 -->
-<StaticEntity position="2800,-500,0" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 pitch=-90>
+<StaticEntity position="2800,-500,0" direction="0,0,0" collisionType=static mass=100000 friction=0.01 pitch=-90>
 <attached>
 
@@ -260,12 +266,26 @@
 </StaticEntity>
 
-<Model position="0,0,0" mesh="cube.mesh" scale3D="10000,10,10" />
-<Model position="0,0,0" mesh="cube.mesh" scale3D="10,10000,10" />
+<Model position="0,0,0" mesh="cube_red.mesh" scale3D="10000,10,10" />
+<Model position="0,0,0" mesh="cube_green.mesh" scale3D="10,10000,10" />
 <Model position="0,0,0" mesh="cube.mesh" scale3D="10,10,10000" />
 
+<Model position="0,-20000,0" mesh="cube_red.mesh" scale3D="10000,10,10" />
+<Model position="0,-20000,0" mesh="cube_green.mesh" scale3D="10,10000,10" />
+<Model position="0,-20000,0" mesh="cube.mesh" scale3D="10,10,10000" />
+
+<Model position="0,-20010,0" mesh="cube_blue.mesh" scale3D="11,11,11" />
+<Model position="-10,-20000,0" mesh="cube_blue.mesh" scale3D="11,11,11" />
+<Model position="0,-20000,-10" mesh="cube_blue.mesh" scale3D="11,11,11" />
+
 
 <StaticEntity position="0,-20000,0" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 pitch=-90> 
-      <attached>
-    <Model position="0,0,0" mesh="ss_tube.mesh" scale3D="100,100,100" />
+     
+ <attached>
+
+	<Model template	= "ss_flag_room" position="750,-16,703.5" />
+	<Model template	= "ss_tube" position="0,0,0" />
+	
+	
+ <!--   <Model position="0,0,0" mesh="ss_tube.mesh" scale3D="100,100,100" />
 	<Model position="500,0,0" mesh="ss_tube.mesh" scale3D="100,100,100" />
 	<Model position="1200,0,0" mesh="ss_tube_x.mesh" scale3D="100,100,100" />
@@ -285,5 +305,5 @@
 	<Model position="1000,50,0" roll=180 mesh="ss_wall.mesh" scale3D="20,20,20" />
 	<Model position="-830,20,0" roll=180 mesh="ss_flag_aean.mesh" scale3D="40,40,40" />
-	
+-->	
 	<!--Model mesh="cube.mesh" mass=10 position="0,-100,0" scale3D="5000,0.5,1000" yaw=0 />
     <Model mesh="cube.mesh" mass=10 position="0,100,0" scale3D="2000,0.5,1000" yaw=0 />
Index: /code/branches/weaponupdateHS14/data/levels/templates/FPS_HS14.oxt
===================================================================
--- /code/branches/weaponupdateHS14/data/levels/templates/FPS_HS14.oxt	(revision 10112)
+++ /code/branches/weaponupdateHS14/data/levels/templates/FPS_HS14.oxt	(revision 10113)
@@ -1,3 +1,3 @@
-<Template name=fps>
+<Template name=fps_HS14>
   <FpsPlayer
    spawnparticlesource    = "Orxonox/fairytwirl"
Index: /code/branches/weaponupdateHS14/data/levels/templates/spacestation_elements.oxt
===================================================================
--- /code/branches/weaponupdateHS14/data/levels/templates/spacestation_elements.oxt	(revision 10113)
+++ /code/branches/weaponupdateHS14/data/levels/templates/spacestation_elements.oxt	(revision 10113)
@@ -0,0 +1,262 @@
+<Template name=spacestation_elements>
+	<SpaceStation
+	normalTubetemplate		= ss_tube
+	curvedTubetemplate		= ss_curve
+	crossingTubetemplate	= ss_tube_x
+	>
+	</SpaceStation>
+</Template>
+			
+
+
+<Template name=ss_tube>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" scale3D="100,100,100" mesh="ss_tube.mesh" />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,0,50"  		halfExtents="300,300,0" />
+		<BoxCollisionShape position="0,0,-50"     	halfExtents="300,300,0" />
+		<BoxCollisionShape position="-150,-50,-50"     	halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="-150,-50,-50"     	halfExtents="6, 2, 18" />
+      
+     </collisionShapes>
+   
+    
+ 	 </MovableEntity>   
+
+</Template>
+
+
+
+<Template name=ss_curve>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" yaw=0 scale3D="100,100,100" mesh="ss_curve.mesh" />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="50,0,0"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+     </collisionShapes>
+  
+    
+ 	 </MovableEntity>   
+
+</Template>
+
+
+
+<Template name=ss_tube_x>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" scale3D="100,100,100" mesh="ss_tube_x.mesh" />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+     </collisionShapes>
+    
+    
+ 	 </MovableEntity>   
+
+</Template>
+
+
+
+<Template name=ss_flag_room>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" yaw=0 pitch=-90 scale3D="100,100,100"  mesh="ss_flag_room.mesh" />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+     </collisionShapes>
+ 	   
+    
+ 	 </MovableEntity>   
+
+</Template>
+
+
+
+<Template name=ss_machine>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 scale3D="0.15,0.15,0.15" mesh="ss_machine.mesh" />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+     </collisionShapes>
+ 	 -->   
+    
+ 	 </MovableEntity>   
+roll=180 mesh="ss_table.mesh" scale3D="25,25,25"
+</Template>
+
+
+		
+<Template name=ss_table>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 scale3D="25,25,25" mesh="ss_table.mesh"  />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+	 </collisionShapes>
+
+    
+ 	 </MovableEntity>   
+
+</Template>
+
+
+
+<Template name=ss_table_cracked>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 scale3D="25,25,25" mesh="ss_table_cracked.mesh"  />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+	 </collisionShapes>
+
+    
+ 	 </MovableEntity>   
+
+</Template>
+
+
+
+<Template name=ss_cylinder>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 scale3D="25,25,25" mesh="ss_cylinder.mesh"  />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+	 </collisionShapes>
+
+    
+ 	 </MovableEntity>   
+
+</Template>
+
+
+
+<Template name=ss_chair>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 pitch=0 scale3D="20,20,20" mesh="ss_chair.mesh"  />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+	 </collisionShapes>
+
+    
+ 	 </MovableEntity>   
+
+</Template>
+
+
+
+<Template name=ss_wall>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 scale3D="20,20,20" mesh="ss_wall.mesh"  />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+	 </collisionShapes>
+
+    
+ 	 </MovableEntity>   
+
+</Template>
+	
+
+
+<Template name=ss_flag_aean>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 scale3D="40,40,40" mesh="ss_flag_aean.mesh"  />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+	 </collisionShapes>
+
+    
+ 	 </MovableEntity>   
+
+</Template>
+		
Index: /code/branches/weaponupdateHS14/data/levels/templates/ss_tube01.oxt
===================================================================
--- /code/branches/weaponupdateHS14/data/levels/templates/ss_tube01.oxt	(revision 10112)
+++ /code/branches/weaponupdateHS14/data/levels/templates/ss_tube01.oxt	(revision 10113)
@@ -4,8 +4,8 @@
 <attached>
 
-<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsBody.mesh" />
+<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=1 mesh="ss_tube.mesh" />
 
 </attached>
-    <collisionShapes>
+<!--    <collisionShapes>
 	<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
 	<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
@@ -14,6 +14,5 @@
       
     </collisionShapes>
-    
-    <Model position="0,0,0" mesh="cube.mesh" scale3D="1000,1000,1000" />
+ -->   
     
 </MovableEntity>   