Index: code/branches/weaponupdateHS14/data/levels/templates/spacestation_elements.oxt
===================================================================
--- code/branches/weaponupdateHS14/data/levels/templates/spacestation_elements.oxt	(revision 10113)
+++ code/branches/weaponupdateHS14/data/levels/templates/spacestation_elements.oxt	(revision 10120)
@@ -9,5 +9,5 @@
 			
 
-
+<!-- Spacestation Element Tube -->
 <Template name=ss_tube>
 
@@ -17,10 +17,11 @@
 	<Model position="0,0,0" scale3D="100,100,100" mesh="ss_tube.mesh" />
 
-	</attached>
-	 <collisionShapes>
-		<BoxCollisionShape position="0,0,50"  		halfExtents="300,300,0" />
-		<BoxCollisionShape position="0,0,-50"     	halfExtents="300,300,0" />
-		<BoxCollisionShape position="-150,-50,-50"     	halfExtents="12, 2, 20" />
-		<BoxCollisionShape position="-150,-50,-50"     	halfExtents="6, 2, 18" />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,0,100"  			halfExtents="250,100,0" />	<!--Wand links-->
+		<BoxCollisionShape position="0,0,-100"     		halfExtents="250,100,0" />	<!--Wand rechts-->
+		<BoxCollisionShape position="0,-100,0"    	 	halfExtents="250,0,100" />	<!--Decke-->
+		<BoxCollisionShape position="0,100,0"     		halfExtents="250,0,100" />	<!--Boden-->
       
      </collisionShapes>
@@ -32,5 +33,5 @@
 
 
-
+<!-- Spacestation Element Curve -->
 <Template name=ss_curve>
 
@@ -38,12 +39,14 @@
 	<attached>
 
+	<Model position="-325,-100,125" mesh="cube_red.mesh" scale3D="225,1,225" />
 	<Model position="0,0,0" yaw=0 scale3D="100,100,100" mesh="ss_curve.mesh" />
 
 	</attached>
 	 <collisionShapes>
-		<BoxCollisionShape position="50,0,0"      halfExtents="8,10,10" />
-		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
-		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
-		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+	<BoxCollisionShape position="-300,0,-100"  			halfExtents="150,100,0" />	<!--Wand rechts-->
+	<BoxCollisionShape position="-100,0,100"  			halfExtents="150,100,0" />	<!--Wand rechts-->
+	<BoxCollisionShape position="-200,0,100"   yaw=45	halfExtents="150,100,0" />	<!--Wand rechts-->
+	<BoxCollisionShape position="-325,-100,125"   	 	halfExtents="225,0,225" />	<!--Boden-->
+	<BoxCollisionShape position="-325,100,125"     		halfExtents="250,0,100" />	<!--Decke-->
       
      </collisionShapes>
@@ -55,5 +58,5 @@
 
 
-
+<!-- Spacestation Element Crossing -->
 <Template name=ss_tube_x>
 
@@ -78,5 +81,5 @@
 
 
-
+<!-- Spacestation Element Flagroom -->
 <Template name=ss_flag_room>
 
@@ -101,5 +104,5 @@
 
 
-
+<!-- Spacestation Element Machine -->
 <Template name=ss_machine>
 
@@ -124,139 +127,139 @@
 
 
+<!-- Spacestation Element Table-->		
+<Template name=ss_table>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 scale3D="25,25,25" mesh="ss_table.mesh"  />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+	 </collisionShapes>
+
+    
+ 	 </MovableEntity>   
+
+</Template>
+
+
+<!-- Spacestation Element Table (cracked) -->
+<Template name=ss_table_cracked>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 scale3D="25,25,25" mesh="ss_table_cracked.mesh"  />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+	 </collisionShapes>
+
+    
+ 	 </MovableEntity>   
+
+</Template>
+
+
+<!-- Spacestation Element Cylinder -->
+<Template name=ss_cylinder>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 scale3D="25,25,25" mesh="ss_cylinder.mesh"  />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+	 </collisionShapes>
+
+    
+ 	 </MovableEntity>   
+
+</Template>
+
+
+<!-- Spacestation Element Chair -->
+<Template name=ss_chair>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 pitch=0 scale3D="20,20,20" mesh="ss_chair.mesh"  />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+	 </collisionShapes>
+
+    
+ 	 </MovableEntity>   
+
+</Template>
+
+
+<!-- Spacestation Element Wall -->
+<Template name=ss_wall>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 scale3D="20,20,20" mesh="ss_wall.mesh"  />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+	 </collisionShapes>
+
+    
+ 	 </MovableEntity>   
+
+</Template>
+	
+
+<!-- Spacestation Element Flag -->
+<Template name=ss_flag_aean>
+
+	<MovableEntity position="0,0,0">
+	<attached>
+
+	<Model position="0,0,0" roll=0 scale3D="40,40,40" mesh="ss_flag_aean.mesh"  />
+
+	</attached>
+	 <collisionShapes>
+		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+	 </collisionShapes>
+
+    
+ 	 </MovableEntity>   
+
+</Template>
 		
-<Template name=ss_table>
-
-	<MovableEntity position="0,0,0">
-	<attached>
-
-	<Model position="0,0,0" roll=0 scale3D="25,25,25" mesh="ss_table.mesh"  />
-
-	</attached>
-	 <collisionShapes>
-		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
-		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
-		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
-		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
-      
-	 </collisionShapes>
-
-    
- 	 </MovableEntity>   
-
-</Template>
-
-
-
-<Template name=ss_table_cracked>
-
-	<MovableEntity position="0,0,0">
-	<attached>
-
-	<Model position="0,0,0" roll=0 scale3D="25,25,25" mesh="ss_table_cracked.mesh"  />
-
-	</attached>
-	 <collisionShapes>
-		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
-		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
-		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
-		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
-      
-	 </collisionShapes>
-
-    
- 	 </MovableEntity>   
-
-</Template>
-
-
-
-<Template name=ss_cylinder>
-
-	<MovableEntity position="0,0,0">
-	<attached>
-
-	<Model position="0,0,0" roll=0 scale3D="25,25,25" mesh="ss_cylinder.mesh"  />
-
-	</attached>
-	 <collisionShapes>
-		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
-		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
-		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
-		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
-      
-	 </collisionShapes>
-
-    
- 	 </MovableEntity>   
-
-</Template>
-
-
-
-<Template name=ss_chair>
-
-	<MovableEntity position="0,0,0">
-	<attached>
-
-	<Model position="0,0,0" roll=0 pitch=0 scale3D="20,20,20" mesh="ss_chair.mesh"  />
-
-	</attached>
-	 <collisionShapes>
-		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
-		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
-		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
-		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
-      
-	 </collisionShapes>
-
-    
- 	 </MovableEntity>   
-
-</Template>
-
-
-
-<Template name=ss_wall>
-
-	<MovableEntity position="0,0,0">
-	<attached>
-
-	<Model position="0,0,0" roll=0 scale3D="20,20,20" mesh="ss_wall.mesh"  />
-
-	</attached>
-	 <collisionShapes>
-		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
-		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
-		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
-		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
-      
-	 </collisionShapes>
-
-    
- 	 </MovableEntity>   
-
-</Template>
-	
-
-
-<Template name=ss_flag_aean>
-
-	<MovableEntity position="0,0,0">
-	<attached>
-
-	<Model position="0,0,0" roll=0 scale3D="40,40,40" mesh="ss_flag_aean.mesh"  />
-
-	</attached>
-	 <collisionShapes>
-		<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
-		<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
-		<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
-		<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
-      
-	 </collisionShapes>
-
-    
- 	 </MovableEntity>   
-
-</Template>
-		